
Redmine - Defect #10044

Security bug on Atom feed access

2012-01-23 16:06 - Oguzhan Eren

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Feeds Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.1.3

Description

"http://www.redmine.org/projects/redmine/activity.atom?key=7eebd204d56e0e2fb7244fab3e74bb5510bc0a02&show_messages=1"

redmine project atom feed (I can access to forum activities without authorize)

"http://www.redmine.org/projects/secretproject/activity.atom?key=7eebd204d56e0e2fb7244fab3e74bb5510bc0a02&show_messages

=1" and I can access a secretproject forum activities without authorize if I found project identifier: secretproject

suggestion to fix: each project must be use different atom key.

History

#1 - 2012-01-23 16:06 - Oguzhan Eren

version: Redmine 1.1.3.stable

#2 - 2012-01-23 18:48 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Can not reproduce. I get a 403 response when trying to access a feed of a private project when using an RSS key of a user that does not have

access to this project.

Make sure you don't have a session open for an other user when you do the test.

#3 - 2013-01-25 21:36 - Jan Niggemann (redmine.org team member)

- Affected version (unused) set to 1.1.3

- Affected version set to 1.1.3

closing, no feedback since 1 year...

#4 - 2013-01-25 21:39 - Jan Niggemann (redmine.org team member)

- Status changed from New to Closed
